package com.ynet.life.file.parser;

import com.ynet.life.exception.TranFailException;
import com.ynet.life.file.LifeFile;
import java.util.Iterator;
import java.util.List;
import java.util.Map;

/* loaded from: com_ynet_life_file_parser.jar:com/ynet/life/file/parser/CommonCSVFileParser.class */
public class CommonCSVFileParser implements CommonFileParserInterface {
    private static final String COMMA = ",";

    @Override // com.ynet.life.file.parser.CommonFileParserInterface
    public void writeToFile(List titles, List recordList, List outputFields, List outputFormats, String filePathName, String encoding) throws TranFailException {
        StringBuffer fileContent = new StringBuffer();
        if (titles != null) {
            for (int i = 0; i < titles.size(); i++) {
                fileContent.append(titles.get(i)).append(COMMA);
            }
            StringBuffer stringBuffer = new StringBuffer(fileContent.substring(0, fileContent.length() - 1));
            fileContent = stringBuffer;
            stringBuffer.append(LifeFile.LINE_SEPARATOR);
        }
        if (recordList != null) {
            Iterator iterator = recordList.iterator();
            while (iterator.hasNext()) {
                Map record = (Map) iterator.next();
                for (int i2 = 0; i2 < outputFields.size(); i2++) {
                    Object obj = record.get(outputFields.get(i2)) == null ? "" : record.get(outputFields.get(i2));
                    String format = (String) outputFormats.get(i2);
                    String fieldValue = FileParserUtil.transformFormat(obj.toString(), format);
                    fileContent.append("\"").append(fieldValue.trim()).append("\t\"").append(COMMA);
                }
                StringBuffer stringBuffer2 = new StringBuffer(fileContent.substring(0, fileContent.length() - 1));
                fileContent = stringBuffer2;
                stringBuffer2.append(LifeFile.LINE_SEPARATOR);
            }
        }
        LifeFile.writeStringToFile(filePathName, fileContent.toString(), encoding, false);
    }

    @Override // com.ynet.life.file.parser.CommonFileParserInterface
    public void writeToFile(List titles, List recordList, List outputFields, List outputFormats, String filePathName, String encoding, String expressionContent) throws TranFailException {
        StringBuffer fileContent = new StringBuffer();
        String businessCode = (String) ((Map) titles.get(titles.size() - 1)).get("businessCode");
        for (int i = 0; i < titles.size() - 1; i++) {
            fileContent.append(titles.get(i)).append(COMMA);
        }
        StringBuffer fileContent2 = new StringBuffer(fileContent.substring(0, fileContent.length() - 1));
        fileContent2.append(LifeFile.LINE_SEPARATOR);
        if (expressionContent == null) {
            fileContent2.append(expressionContent).append(COMMA);
        }
        StringBuffer stringBuffer = new StringBuffer(fileContent2.substring(0, fileContent2.length() - 1));
        StringBuffer fileContent3 = stringBuffer;
        stringBuffer.append(LifeFile.LINE_SEPARATOR);
        if (recordList != null) {
            Iterator iterator = recordList.iterator();
            while (iterator.hasNext()) {
                Map record = (Map) iterator.next();
                for (int i2 = 0; i2 < outputFields.size(); i2++) {
                    Object obj = record.get(outputFields.get(i2)) == null ? "" : record.get(outputFields.get(i2));
                    Object obj2 = obj;
                    String fieldValue = FileParserUtil.transformFormat(obj.toString(), DataFormatConfigProvider.getFieldAttrValue(outputFields.get(i2).toString(), "type", businessCode), DataFormatConfigProvider.getFieldAttrValue(outputFields.get(i2).toString(), "opt", businessCode));
                    if (obj2.toString().indexOf(".") >= 0 || "".equals(obj2)) {
                        fileContent3.append("\"").append(fieldValue.trim()).append("\",");
                    } else {
                        fileContent3.append("\"").append(fieldValue.trim()).append("\t\"").append(COMMA);
                    }
                }
                StringBuffer stringBuffer2 = new StringBuffer(fileContent3.substring(0, fileContent3.length() - 1));
                fileContent3 = stringBuffer2;
                stringBuffer2.append(LifeFile.LINE_SEPARATOR);
            }
        }
        LifeFile.writeStringToFile(filePathName, fileContent3.toString(), encoding, false);
    }

    @Override // com.ynet.life.file.parser.CommonFileParserInterface
    public void writeToFile(List titles, List recordList, List outputFields, List outputFormats, String filePathName, String encoding, boolean seqFlag) throws TranFailException {
        StringBuffer fileContent = new StringBuffer();
        if (titles != null) {
            if (seqFlag) {
                fileContent.append("序号,");
            }
            for (int i = 0; i < titles.size(); i++) {
                fileContent.append(titles.get(i)).append(COMMA);
            }
            StringBuffer stringBuffer = new StringBuffer(fileContent.substring(0, fileContent.length() - 1));
            fileContent = stringBuffer;
            stringBuffer.append(LifeFile.LINE_SEPARATOR);
        }
        int seqNo = 1;
        if (recordList != null) {
            Iterator iterator = recordList.iterator();
            while (iterator.hasNext()) {
                if (seqFlag) {
                    fileContent.append("\"").append(String.valueOf(seqNo)).append("\t\"").append(COMMA);
                    seqNo++;
                }
                Map record = (Map) iterator.next();
                for (int i2 = 0; i2 < outputFields.size(); i2++) {
                    Object obj = record.get(outputFields.get(i2)) == null ? "" : record.get(outputFields.get(i2));
                    String format = (String) outputFormats.get(i2);
                    String fieldValue = FileParserUtil.transformFormat(obj.toString(), format);
                    fileContent.append("\"").append(fieldValue.trim()).append("\t\"").append(COMMA);
                }
                StringBuffer stringBuffer2 = new StringBuffer(fileContent.substring(0, fileContent.length() - 1));
                fileContent = stringBuffer2;
                stringBuffer2.append(LifeFile.LINE_SEPARATOR);
            }
        }
        LifeFile.writeStringToFile(filePathName, fileContent.toString(), encoding, false);
    }

    @Override // com.ynet.life.file.parser.CommonFileParserInterface
    public void writeToFile(List oneTitles, List twoTitles, List recordList, List outputFields, List titleColWidthFormats, List leftRightColMergeFormats, List topBottomColMergeFormats, String filePathName, String encoding, String reportTitle, List leftRightColMergeNum) throws TranFailException {
    }
}
